*
*        Set of common blocks for Kiel opacities in
*
*                   COMMON_KIEL
*

*
*        Model atmosphere  and composition
*
      INTEGER             KD
      PARAMETER (KD=50)

      DOUBLE PRECISION    TEFF, GRAV
      INTEGER             NDEPTH

      COMMON /OPK_MODEL/  TEFF,GRAV,NDEPTH

      DOUBLE PRECISION    TAU(KD)
      DOUBLE PRECISION    TEMP(KD)
      DOUBLE PRECISION    PG(KD)
      DOUBLE PRECISION    PE(KD)
      DOUBLE PRECISION    OP(KD)

      COMMON /OPK_MODX/   TAU,TEMP,PG,PE,OP

      DOUBLE PRECISION    ALPHA(56)
      DOUBLE PRECISION    AMU
      DOUBLE PRECISION    ANORM

      COMMON /OPK_ABU/    ALPHA, AMU, ANORM

      DOUBLE PRECISION    AH , AHE, AC , AN , AO , ANE, AMG,
     :                    ASI, AS , ACA, AFE

      EQUIVALENCE   (AH ,ALPHA( 1)), (AHE,ALPHA( 2)), (AC ,ALPHA( 6)),
     :              (AN ,ALPHA( 7)), (AO, ALPHA( 8)), (ANE,ALPHA(10)),
     :              (AMG,ALPHA(12)), (ASI,ALPHA(14)), (AS ,ALPHA(16)),
     :              (ACA,ALPHA(20)), (AFE,ALPHA(26))

*
*        Depth zone pointer
*
      INTEGER             J

      COMMON /OPK_ZONE/   J

*
*        Ionisation fractions and partition functions at each depth point
*        and in the current zone
*
      DOUBLE PRECISION    ZHJ (3), ZH (3,KD), FHJ (3), FH (3, KD)
      DOUBLE PRECISION    ZHEJ(4), ZHE(4,KD), FHEJ(4), FHE(4, KD) 
      DOUBLE PRECISION    ZCJ (6), ZC (6,KD), FCJ (6), FC (6, KD) 
      DOUBLE PRECISION    ZNJ (6), ZN (6,KD), FNJ (6), FN (6, KD) 
      DOUBLE PRECISION    ZOJ (6), ZO (6,KD), FOJ (6), FO (6, KD) 
      DOUBLE PRECISION    ZNEJ(6), ZNE(6,KD), FNEJ(6), FNE(6, KD) 
      DOUBLE PRECISION    ZMGJ(6), ZMG(6,KD), FMGJ(6), FMG(6, KD) 
      DOUBLE PRECISION    ZALJ(6), ZAL(6,KD), FALJ(6), FAL(6, KD) 
      DOUBLE PRECISION    ZSIJ(6), ZSI(6,KD), FSIJ(6), FSI(6, KD) 
      DOUBLE PRECISION    ZSJ (6), ZS (6,KD), FSJ (6), FS (6, KD) 
      DOUBLE PRECISION    ZCAJ(6), ZCA(6,KD), FCAJ(6), FCA(6, KD) 
      DOUBLE PRECISION    ZFEJ(6), ZFE(6,KD), FFEJ(6), FFE(6, KD) 

      COMMON /OPK_ZUMOD/  ZH , ZHE, ZC , ZN , ZO , ZNE, ZMG, ZAL,
     :                    ZSI, ZS , ZCA, ZFE

      COMMON /OPK_FRMOD/  FH , FHE, FC , FN , FO , FNE, FMG, FAL,
     :                    FSI, FS , FCA, FFE

      COMMON /OPK_ZUJ/    ZHJ ,ZHEJ,ZCJ ,ZNJ ,ZOJ ,ZNEJ,ZMGJ,ZALJ,
     :                    ZSIJ,ZSJ ,ZCAJ,ZFEJ

      COMMON /OPK_FRJ/    FHJ ,FHEJ,FCJ ,FNJ ,FOJ ,FNEJ,FMGJ,FALJ,
     :                    FSIJ,FSJ ,FCAJ,FFEJ

*
*       T dependent atomic data
*
      DOUBLE PRECISION    AT(22,KD)

      COMMON /OPK_ATK/    AT
